/*
 * Copyright 2003 - 2010 The eFaps Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Revision:        $Rev: 4819 $
 * Last Changed:    $Date: 2010-06-18 17:29:17 -0500 (Fri, 18 Jun 2010) $
 * Last Changed By: $Author: jan.moxter $
 */


package org.efaps.ci;

/**
 * TODO comment!
 *
 * @author The eFaps Team
 * @version $Id: CIAttribute.java 4819 2010-06-18 22:29:17Z jan.moxter $
 */
public class CIAttribute
{
    //CHECKSTYLE:OFF
    /**
     * Name of the attribute.
     */
    public final String name;

    /**
     * Type this attribute belongs to.
     */
    public final CIType ciType;
    //CHECKSTYLE:ON
    /**
     * @param _type type this attribute belongs to
     * @param _name name of this attribute
     */
    public CIAttribute(final CIType _type,
                       final String _name)
    {
        this.ciType = _type;
        this.name = _name;
    }
}
